package com.bonus.canteen.core.marketing.coupon.model;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

public class MktCouponPayModel {
   @ApiModelProperty("人员id")
   private Long custId;
   @ApiModelProperty("餐券编号")
   private Long couponNum;
   @ApiModelProperty("餐券类型")
   private Integer couponType;
   @ApiModelProperty("餐券金额")
   private BigDecimal couponAmount;

   public MktCouponPayModel(Long custId, Long couponNum, Integer couponType, BigDecimal couponAmount) {
      this.custId = custId;
      this.couponNum = couponNum;
      this.couponType = couponType;
      this.couponAmount = couponAmount;
   }

   public Long getCustId() {
      return this.custId;
   }

   public Long getCouponNum() {
      return this.couponNum;
   }

   public Integer getCouponType() {
      return this.couponType;
   }

   public BigDecimal getCouponAmount() {
      return this.couponAmount;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setCouponNum(final Long couponNum) {
      this.couponNum = couponNum;
   }

   public void setCouponType(final Integer couponType) {
      this.couponType = couponType;
   }

   public void setCouponAmount(final BigDecimal couponAmount) {
      this.couponAmount = couponAmount;
   }

   public MktCouponPayModel() {
   }
}
